package org.hardknockjava.finale.grid;

/*************************************************************
 * Square represents the contents of a single square in the grid. value is null
 * if the square is blank; otherwise, it contains the letter that appears in the
 * square. clueNumber is the number of the clue(s) starting in the square; if
 * null, there is none. This value is unknown at creation.
 * 
 * @author Abba
 *
 */
public class Square {
    private Character value;
    private int horizontalPosition;
    private int verticalPosition;
    private Integer clueNumber;

    public Square(Character value, int horizontalPosition, int verticalPosition) {
        super();
        this.value = value;
        this.horizontalPosition = horizontalPosition;
        this.verticalPosition = verticalPosition;
    }

    public Character getValue() {
        return value;
    }

    public void setValue(Character value) {
        this.value = value;
    }

    public int getHorizontalPosition() {
        return horizontalPosition;
    }

    public void setHorizontalPosition(int horizontalPosition) {
        this.horizontalPosition = horizontalPosition;
    }

    public int getVerticalPosition() {
        return verticalPosition;
    }

    public void setVerticalPosition(int verticalPosition) {
        this.verticalPosition = verticalPosition;
    }

    public Integer getClueNumber() {
        return clueNumber;
    }

    public void setClueNumber(Integer clueNumber) {
        this.clueNumber = clueNumber;
    }
}
